Subject: [manet] AD Review of draft-ietf-manet-olsrv2-sec-threats-03

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Tue, 6 Dec 2016 19:13:08 +0000

Dear authors:

I just finished reading this document.  I have some minor comments (mostly nits) below; please consider them along with any other Last Call comments you might get.

I am starting the IETF Last Call and will schedule this document in the next available IESG Telechat.

Thanks!

Alvaro.

C1. Do we really need all the references in the Introduction to describe OSLRv2?  I think that a reference to RFC7181 is enough.  Trying to be exhaustive has the risk of missing other potential references; for example, RFC7466 Updates RFC7181, but it isn’t mentioned anywhere.  I’m not suggesting that you add a reference to RFC7466, but that you only use RFC7181 when describing OLSRv2 (in this part of the Introduction).

C2. s/RFC6779/RFC7939

C3. s/the the/the

C4. s/TCs to not being delivered/TCs not being delivered

C5. Section 3.1: "…and the legitimate message will be discarded as a duplicate message."  I think that a little more qualification may be needed here: the phrase above seems to assume spoofing of the ID or a topology as shown in Figure 1 -- please clarify and/or point at Figure 1.

C6. s/when a receives a TC from F/when A receives a TC from F

C7. s/E will have a choice…as illustrated in Figure 9(b)./E will have a choice…as illustrated in Figure 9(c).

C8. s/presented in Section 5.2.1/presented in Section 5.1

C9. The Security Considerations Section basically says nothing.  It would be nice to say in it that this whole document is about security considerations – and maybe include a summary (couple of sentences).  FWIW, what stuck with me is that most of the threats can be mitigated, but many depend on RFC7183, which is not effective if the compromised router is one with valid credentials – this fact was mentioned, but brushed over fairly quickly.

---

From: Jiazi Yi <[email-masked]>
Date: Tue, 6 Dec 2016 22:31:03 +0100

Dear Alvaro:

Thanks very much for the review. 
We will update the draft based on the comments from you and the coming IETF LC. 

regards

Jiazi

> On 6 Dec 2016, at 20:13, Alvaro Retana (aretana) <[email-masked]> wrote:
> 
> Dear authors:
>  
> _______________________________________________
> manet mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/manet <https://www.ietf.org/mailman/listinfo/manet>